#include <stdio.h>

static int factorial(int n) {
  if (n <= 1) {
    return 1;
  } else {
    return n * factorial(n - 1);
  }
}

int main(int argc, char* argv[]) {
  int n[] = {0, 1, 3, 6, 10};
  // This array-length trick only works for stack-allocated
  // blocks of memory.
  for (int i = 0; i < sizeof(n) / sizeof(n[0]); ++i) {
    printf("factorial(%d) is %d\n", n[i], factorial(n[i]));
  }

  return 0;
}
